{
  "name": "socketio-chat-frontend",
  "version": "1.0.0",
  "scripts": {
    "start": "vite",
    "build": "tsc && vite build",
    "preview": "vite preview"
  },
  "dependencies": {
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "socket.io-client": "4.7.5"
  },
  "devDependencies": {
    "@types/react": "18.2.67",
    "@types/react-dom": "18.2.22",
    "@vitejs/plugin-react": "4.2.1",
    "typescript": "5.4.2",
    "vite": "5.1.6"
  }
}
